﻿using Syncfusion.SfSchedule.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace ResourceView
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class SchedulerPage : ContentPage
    {

        SchedulerViewModel vm = null;

        public SchedulerPage()
        {
            InitializeComponent();
                        
            vm = new SchedulerViewModel();           
        }

        bool FirstLoad = true;
        protected override void OnAppearing()
        {
            base.OnAppearing(); 
            
            if (FirstLoad) // first time loading, use data loaded in vm's constructor, working as expected (like common example)
            {
                schedule.DataSource = vm.Events;
                schedule.ScheduleResources = vm.Employees;
                schedule.SelectedResources = vm.SelectedEmployees;
                FirstLoad = false;
            }
            else // not first time, need to load the backend data and fill in
            {
                vm.LoadData(); // reload data (simulate the updated data fetched from backend)
                schedule.DataSource = vm.Events;

                // First trial approach, assign the whole ObservableCollection, NOT WORKING!
                schedule.ScheduleResources = vm.Employees;
                schedule.SelectedResources = vm.SelectedEmployees;

                // Second trial approach, reused the existing ObservableCollection rather re-instantiate and reassigned, also NOT WORKING!
                //schedule.ScheduleResources.Clear();
                //schedule.SelectedResources.Clear();
                //foreach (var item in vm.Employees)
                //    schedule.ScheduleResources.Add(item);
                //foreach (var item in vm.Employees)
                //    schedule.SelectedResources.Add(item);
            }
        }

        protected override void OnDisappearing()
        {
            base.OnDisappearing();
        }
    }
}